package ervu.model.okopf;

import java.io.Serializable;

/**
 * @author Artyom Hackimullin
 */
public class OkopfModel implements Serializable {
  private static final long serialVersionUID = 1L;

  private String code;

  private String name;

  private int version;

  public OkopfModel(String code, String name, int version) {
    this.code = code;
    this.name = name;
    this.version = version;
  }

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public int getVersion() {
    return version;
  }

  public void setVersion(int version) {
    this.version = version;
  }

  @Override
  public String toString() {
    return "OkopfModel{" +
           "code='" + code + '\'' +
           ", name='" + name + '\'' +
           ", version=" + version +
           '}';
  }
}
